Combined
API referenceEndpointsSources

Create Source Authorization Request

Create a time-bounded request for a human to authorize access to a Source.

POST
/v1/source-authorization-requests

Create a time-bounded request for a human to authorize access to a Source.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key*string

Unique key for this mutation and request body.

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/source-authorization-requests" \  -H "Idempotency-Key: operation-20260816-001" \  -H "Content-Type: application/json" \  -d '{    "accountId": "00000000-0000-4000-8000-000000000001",    "connectorKey": "slack",    "recipientEmail": "owner@example.com"  }'
{  "data": {    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",    "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",    "authorizationUrl": "http://example.com",    "delivery": "sent",    "expiresAt": "2019-08-24T14:15:22Z"  },  "correlationId": "string"}